Package weka.gui.beans

# Class KnowledgeFlowApp.MainKFPerspective

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.KnowledgeFlowApp.MainKFPerspective

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `KnowledgeFlowApp.KFPerspective`

Enclosing class:
  KnowledgeFlowApp

public class KnowledgeFlowApp.MainKFPerspective extends JPanel implements KnowledgeFlowApp.KFPerspective
Main Knowledge Flow perspective

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MainKFPerspective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `acceptsInstances()`
  Returns true if this perspective accepts instances
  `void`
  `addTab(String tabTitle)`
  `weka.gui.beans.KnowledgeFlowApp.BeanLayout`
  `getBeanLayout(int index)`
  `weka.gui.beans.KnowledgeFlowApp.BeanLayout`
  `getCurrentBeanLayout()`
  `weka.gui.beans.KnowledgeFlowApp.KFLogPanel`
  `getCurrentLogPanel()`
  `int`
  `getCurrentTabIndex()`
  `int`
  `getCurrentZoomSetting()`
  `boolean`
  `getEditedStatus()`
  Get the edited status of the currently selected tab.
  `boolean`
  `getEditedStatus(int index)`
  Get the edited status of the tab at the supplied index.
  `Environment`
  `getEnvironmentSettings()`
  `Environment`
  `getEnvironmentSettings(int index)`
  `boolean`
  `getExecuting()`
  `boolean`
  `getExecuting(int index)`
  `weka.gui.beans.KnowledgeFlowApp.RunThread`
  `getExecutionThread()`
  `weka.gui.beans.KnowledgeFlowApp.RunThread`
  `getExecutionThread(int index)`
  `File`
  `getFlowFile()`
  `File`
  `getFlowFile(int index)`
  `weka.gui.beans.KnowledgeFlowApp.KFLogPanel`
  `getLogPanel(int index)`
  `int`
  `getNumTabs()`
  `Icon`
  `getPerspectiveIcon()`
  Get the icon for this perspective
  `String`
  `getPerspectiveTipText()`
  Get the tool tip text for this perspective
  `String`
  `getPerspectiveTitle()`
  Get the title of this perspective
  `Vector<Object>`
  `getSelectedBeans()`
  `Vector<Object>`
  `getSelectedBeans(int index)`
  `JTabbedPane`
  `getTabbedPane()`
  `String`
  `getTabTitle(int index)`
  `Stack<File>`
  `getUndoBuffer()`
  `Stack<File>`
  `getUndoBuffer(int index)`
  `int`
  `getZoomSetting(int index)`
  `void`
  `removeTab(int tabIndex)`
  `void`
  `setActive(boolean active)`
  Set active status of this perspective.
  `void`
  `setActiveTab(int index)`
  `void`
  `setCurrentZoomSetting(int z)`
  `void`
  `setEditedStatus(boolean status)`
  `void`
  `setEditedStatus(int index, boolean status)`
  `void`
  `setExecuting(boolean executing)`
  `void`
  `setExecuting(int index, boolean executing)`
  `void`
  `setExecutionThread(int index, weka.gui.beans.KnowledgeFlowApp.RunThread execution)`
  `void`
  `setExecutionThread(weka.gui.beans.KnowledgeFlowApp.RunThread execution)`
  `void`
  `setFlowFile(int index, File flowFile)`
  `void`
  `setFlowFile(File flowFile)`
  `void`
  `setInstances(Instances insts)`
  Set instances (if the perspective accepts them)
  `void`
  `setLoaded(boolean loaded)`
  Set whether this perspective is "loaded" - i.e.
  `void`
  `setMainKFPerspective(KnowledgeFlowApp.MainKFPerspective main)`
  Set a reference to the main KnowledgeFlow perspective - i.e.
  `void`
  `setSelectedBeans(int index, Vector<Object> beans)`
  `void`
  `setSelectedBeans(Vector<Object> beans)`
  `void`
  `setTabTitle(int index, String title)`
  `void`
  `setTabTitle(String title)`
  `void`
  `setUndoBuffer(int index, Stack<File> buffer)`
  `void`
  `setUndoBuffer(Stack<File> buffer)`
  `void`
  `setZoomSetting(int index, int z)`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MainKFPerspective

    public MainKFPerspective()

- ## Method Details

  - ### setActive

    public void setActive(boolean active)
    Description copied from interface: `KnowledgeFlowApp.KFPerspective`
    Set active status of this perspective. True indicates that this perspective is the visible active perspective in the KnowledgeFlow
    Specified by:
      `setActive` in interface `KnowledgeFlowApp.KFPerspective`
    Parameters:
      `active` - true if this perspective is the active one

  - ### setLoaded

    public void setLoaded(boolean loaded)
    Description copied from interface: `KnowledgeFlowApp.KFPerspective`
    Set whether this perspective is "loaded" - i.e. whether or not the user has opted to have it available in the perspective toolbar. The perspective can make the decision as to allocating or freeing resources on the basis of this.
    Specified by:
      `setLoaded` in interface `KnowledgeFlowApp.KFPerspective`
    Parameters:
      `loaded` - true if the perspective is available in the perspective toolbar of the KnowledgeFlow

  - ### setMainKFPerspective

    public void setMainKFPerspective(KnowledgeFlowApp.MainKFPerspective main)
    Description copied from interface: `KnowledgeFlowApp.KFPerspective`
    Set a reference to the main KnowledgeFlow perspective - i.e. the perspective that manages flow layouts.
    Specified by:
      `setMainKFPerspective` in interface `KnowledgeFlowApp.KFPerspective`
    Parameters:
      `main` - the main KnowledgeFlow perspective.

  - ### getTabbedPane

    public JTabbedPane getTabbedPane()

  - ### getNumTabs

    public int getNumTabs()

  - ### getTabTitle

    public String getTabTitle(int index)

  - ### getCurrentTabIndex

    public int getCurrentTabIndex()

  - ### getCurrentLogPanel

    public weka.gui.beans.KnowledgeFlowApp.KFLogPanel getCurrentLogPanel()

  - ### getLogPanel

    public weka.gui.beans.KnowledgeFlowApp.KFLogPanel getLogPanel(int index)

  - ### getCurrentBeanLayout

    public weka.gui.beans.KnowledgeFlowApp.BeanLayout getCurrentBeanLayout()

  - ### getBeanLayout

    public weka.gui.beans.KnowledgeFlowApp.BeanLayout getBeanLayout(int index)

  - ### getCurrentZoomSetting

    public int getCurrentZoomSetting()

  - ### getZoomSetting

    public int getZoomSetting(int index)

  - ### setCurrentZoomSetting

    public void setCurrentZoomSetting(int z)

  - ### setZoomSetting

    public void setZoomSetting(int index, int z)

  - ### setActiveTab

    public void setActiveTab(int index)

  - ### setExecuting

    public void setExecuting(boolean executing)

  - ### setExecuting

    public void setExecuting(int index, boolean executing)

  - ### getExecuting

    public boolean getExecuting()

  - ### getExecuting

    public boolean getExecuting(int index)

  - ### setExecutionThread

    public void setExecutionThread(weka.gui.beans.KnowledgeFlowApp.RunThread execution)

  - ### setExecutionThread

    public void setExecutionThread(int index, weka.gui.beans.KnowledgeFlowApp.RunThread execution)

  - ### getExecutionThread

    public weka.gui.beans.KnowledgeFlowApp.RunThread getExecutionThread()

  - ### getExecutionThread

    public weka.gui.beans.KnowledgeFlowApp.RunThread getExecutionThread(int index)

  - ### getFlowFile

    public File getFlowFile()

  - ### getFlowFile

    public File getFlowFile(int index)

  - ### setFlowFile

    public void setFlowFile(File flowFile)

  - ### setFlowFile

    public void setFlowFile(int index, File flowFile)

  - ### setTabTitle

    public void setTabTitle(String title)

  - ### setTabTitle

    public void setTabTitle(int index, String title)

  - ### setEditedStatus

    public void setEditedStatus(boolean status)

  - ### setEditedStatus

    public void setEditedStatus(int index, boolean status)

  - ### getEditedStatus

    public boolean getEditedStatus()
    Get the edited status of the currently selected tab. Returns false if there are no tabs
    Returns:
      the edited status of the currently selected tab or false if there are no tabs

  - ### getEditedStatus

    public boolean getEditedStatus(int index)
    Get the edited status of the tab at the supplied index. Returns false if the index is out of bounds or there are no tabs
    Parameters:
      `index` - the index of the tab to check
    Returns:
      the edited status of the tab

  - ### setUndoBuffer

    public void setUndoBuffer(Stack<File> buffer)

  - ### setUndoBuffer

    public void setUndoBuffer(int index, Stack<File> buffer)

  - ### getUndoBuffer

    public Stack<File> getUndoBuffer()

  - ### getUndoBuffer

    public Stack<File> getUndoBuffer(int index)

  - ### getSelectedBeans

    public Vector<Object> getSelectedBeans()

  - ### getSelectedBeans

    public Vector<Object> getSelectedBeans(int index)

  - ### setSelectedBeans

    public void setSelectedBeans(Vector<Object> beans)

  - ### setSelectedBeans

    public void setSelectedBeans(int index, Vector<Object> beans)

  - ### getEnvironmentSettings

    public Environment getEnvironmentSettings()

  - ### getEnvironmentSettings

    public Environment getEnvironmentSettings(int index)

  - ### setInstances

    public void setInstances(Instances insts)
    Description copied from interface: `KnowledgeFlowApp.KFPerspective`
    Set instances (if the perspective accepts them)
    Specified by:
      `setInstances` in interface `KnowledgeFlowApp.KFPerspective`
    Parameters:
      `insts` - the instances

  - ### acceptsInstances

    public boolean acceptsInstances()
    Description copied from interface: `KnowledgeFlowApp.KFPerspective`
    Returns true if this perspective accepts instances
    Specified by:
      `acceptsInstances` in interface `KnowledgeFlowApp.KFPerspective`
    Returns:
      true if this perspective can accept instances

  - ### getPerspectiveTitle

    public String getPerspectiveTitle()
    Get the title of this perspective
    Specified by:
      `getPerspectiveTitle` in interface `KnowledgeFlowApp.KFPerspective`
    Returns:
      the title of this perspective

  - ### getPerspectiveTipText

    public String getPerspectiveTipText()
    Get the tool tip text for this perspective
    Specified by:
      `getPerspectiveTipText` in interface `KnowledgeFlowApp.KFPerspective`
    Returns:
      the tool tip text for this perspective

  - ### getPerspectiveIcon

    public Icon getPerspectiveIcon()
    Get the icon for this perspective
    Specified by:
      `getPerspectiveIcon` in interface `KnowledgeFlowApp.KFPerspective`
    Returns:
      the Icon for this perspective (or null if the perspective does not have an icon)

  - ### removeTab

    public void removeTab(int tabIndex)

  - ### addTab

    public void addTab(String tabTitle)